public class CMUCam2 {
	public static int typeT = 0;
	public static int typeH = 1;
	public static int typeS = 2;
	public static int typeSTR = 3;
	public static int typeACK = 4;
	public static int typeNCK = 5;
	public static int typeFAIL = 6;

	public int returnType;

	public class Tpacket {
		public int mx;
		public int my;
		public int x1;
		public int y1;
		public int x2;
		public int y2;
		public int pixels;
		public int confidence;
	}
	public Tpacket T = new Tpacket();

	public class Spacket {
		public int Rmean;
		public int Gmean;
		public int Bmean;
		public int Rdeviation;
		public int Gdeviation;
		public int Bdeviation;
	}
	public Spacket S = new Spacket();

	public String STR;

	public native void Init(String port);
	public native void unInit(); 
	public native void runCommand(String cmd);

	CMUCam2 (String port) { 
		this.Init(port);
	};

	public void print() {
		if (this.returnType == this.typeACK)
			System.out.println("returnType = ACK");
		if (this.returnType == this.typeNCK)
			System.out.println("returnType = NCK");
		if (this.returnType == this.typeFAIL)
			System.out.println("returnType = FAIL");
		if (this.returnType == this.typeSTR) {
			System.out.println("returnType = STR");
			System.out.println("\tSTR = " + this.STR);
		}
		if (this.returnType == this.typeT) {
			System.out.println("returnType = T");
			System.out.println("\tmx = " + this.T.mx);
			System.out.println("\tmy = " + this.T.my);
			System.out.println("\tx1 = " + this.T.x1);
			System.out.println("\ty1 = " + this.T.y1);
			System.out.println("\tx2 = " + this.T.x2);
			System.out.println("\ty2 = " + this.T.y2);
			System.out.println("\tpixels = " + this.T.pixels);
			System.out.println("\tconfidence = " + this.T.confidence);
		}
		if (this.returnType == this.typeS) {
			System.out.println("returnType = S");
			System.out.println("\tRmean= " + this.S.Rmean);
			System.out.println("\tGmean= " + this.S.Gmean);
			System.out.println("\tBmean= " + this.S.Bmean);
			System.out.println("\tRdeviation = " + this.S.Rdeviation);
			System.out.println("\tGdeviation = " + this.S.Gdeviation);
			System.out.println("\tBdeviation = " + this.S.Bdeviation);
		}
	}

	static {
		System.loadLibrary("javaCMUCam2");
	}
}
